subset,section-method {oce} | R Documentation

## Subset a Section Object

### Description

This function is somewhat analogous to `subset.data.frame`. The condition set by `subset` may be in terms of `stationId` or any combination of `longitude`, `latitude` and `time`. However, `stationId` may not be combined with the others; to get that effect, call this function more than once.

### Usage

    ## S4 method for signature 'section'
    subset(x, subset, ...)

### Arguments

`x` | A `section-class` object.
`subset` | A condition to be applied to the `data` portion of `x`. See ‘Details’.
`...` | May include `debug`, to set a debugging level.

### Value

A new `section` object.

### Author(s)

Dan Kelley

### See Also

Other things related to `section` data: `[[,section-method`, `[[<-,section-method`, `as.section`, `handleFlags,section-method`, `plot,section-method`, `read.section`, `section-class`, `sectionAddStation`, `sectionGrid`, `sectionSmooth`, `sectionSort`, `section`, `summary,section-method`

### Examples

    library(oce)
    data(section)
    GS <- subset(section, 109<=stationId&stationId<=129)

[Package oce version 0.9-20 Index]